"""Initial revision

Revision ID: 7a38fc23dda5
Revises:
Create Date: 2024-09-16 15:37:03.537826

"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "7a38fc23dda5"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "schild",
        sa.Column("ident", sa.Uuid(), nullable=False),
        sa.Column("title", sa.String(length=31), nullable=False),
        sa.Column("text", sa.Text(), nullable=False),
        sa.Column("image", sa.String(length=255), nullable=True),
        sa.Column("template", sa.String(length=255), nullable=False),
        sa.PrimaryKeyConstraint("ident"),
    )


def downgrade():
    op.drop_table("schild")
